Index: trunk/src/geometry_calib.m
===================================================================
--- trunk/src/geometry_calib.m	(revision 17)
+++ trunk/src/geometry_calib.m	(revision 36)
@@ -146,6 +146,6 @@
 
 %case of calibration (ImaDoc) input file
-hcalib=get(handles.calib_type,'parent');
-CalibData=get(hcalib,'UserData');
+% hcalib=get(handles.calib_type,'parent');
+CalibData=get(handles.figure1,'UserData');
 CalibData.XmlInput=fileinput;
 if isfield(s,'Heading')
@@ -153,5 +153,5 @@
 end
 
-set(hcalib,'UserData',CalibData);%store the heading in the interface 'UserData'
+set(handles.figure1,'UserData',CalibData);%store the heading in the interface 'UserData'
 if isfield(s,'GeometryCalib')
     Calib=s.GeometryCalib;
@@ -412,5 +412,5 @@
 end
 if testinput
-    outcome=dataview(XmlInput,SubCampaignTest,GeometryCalib)
+    outcome=dataview(XmlInput,SubCampaignTest,GeometryCalib);
 end
 %     %A COMPLETER
@@ -1014,7 +1014,8 @@
 path_to_uvmat=which ('uvmat');% check the path of uvmat
 pathelp=fileparts(path_to_uvmat);
-    helpfile=fullfile(pathelp,'UVMAT_DOC','uvmat_doc.html');
-if isempty(dir(helpfile)), warndlg_uvmat('The help file uvmat_doc.html needs to be put in the directory UVMAT/UVMAT_DOC','ERROR')
+    helpfile=fullfile(pathelp,'uvmat_doc','uvmat_doc.html');
+if isempty(dir(helpfile)), msgbox_uvmat('ERROR','Please put the help file uvmat_doc.html in the sub-directory /uvmat_doc of the UVMAT package')
 else
+   addpath (fullfile(pathelp,'uvmat_doc'))
    web([helpfile '#geometry_calib'])
 end
@@ -1023,19 +1024,19 @@
 function MenuCreateGrid_Callback(hObject, eventdata, handles)
 %------------------------------------------------------------------------
-hcalib=get(handles.calib_type,'parent');%handles of the GUI geometry_calib
-CalibData=get(hcalib,'UserData');
+%hcalib=get(handles.calib_type,'parent');%handles of the GUI geometry_calib
+CalibData=get(handles.figure1,'UserData');
 Tinput=[];%default
 if isfield(CalibData,'grid')
     Tinput=CalibData.grid;
 end
-T=create_grid(Tinput)%display the GUI create_grid 
+T=create_grid(Tinput);%display the GUI create_grid 
 CalibData.grid=T;
-set(hcalib,'UserData',CalibData)
+set(handles.figure1,'UserData',CalibData)
 
 %grid in phys space
 Coord_cell=get(handles.ListCoord,'String');
-data=read_geometry_calib(Coord_cell)
+data=read_geometry_calib(Coord_cell);
 nbpoints=size(data.Coord,1); %nbre of calibration points
-data.Coord(1:size(T,1),1:3)=T;
+data.Coord(1:size(T,1),1:3)=T;%update the existing list of phys coordinates from the GUI create_grid
 for i=1:nbpoints
    for j=1:5
@@ -1061,6 +1062,6 @@
 function MenuTranslatePoints_Callback(hObject, eventdata, handles)
 %-----------------------------------------------------------------------
-hcalib=get(handles.calib_type,'parent');%handles of the GUI geometry_calib
-CalibData=get(hcalib,'UserData')
+%hcalib=get(handles.calib_type,'parent');%handles of the GUI geometry_calib
+CalibData=get(handles.figure1,'UserData');
 Tinput=[];%default
 if isfield(CalibData,'translate')
@@ -1069,5 +1070,5 @@
 T=translate_points(Tinput);%display translate_points GUI and get shift parameters 
 CalibData.translate=T;
-set(hcalib,'UserData',CalibData)
+set(handles.figure1,'UserData',CalibData)
 %translation
 Coord_cell=get(handles.ListCoord,'String');
@@ -1089,6 +1090,6 @@
 % --------------------------------------------------------------------
 function MenuRotatePoints_Callback(hObject, eventdata, handles)
-hcalib=get(handles.calib_type,'parent');%handles of the GUI geometry_calib
-CalibData=get(hcalib,'UserData')
+%hcalib=get(handles.calib_type,'parent');%handles of the GUI geometry_calib
+CalibData=get(handles.figure1,'UserData');
 Tinput=[];%default
 if isfield(CalibData,'rotate')
@@ -1097,5 +1098,5 @@
 T=rotate_points(Tinput);%display translate_points GUI and get shift parameters 
 CalibData.rotate=T;
-set(hcalib,'UserData',CalibData)
+set(handles.figure1,'UserData',CalibData)
 %-----------------------------------------------------
 %rotation
